Skip to main content
POST
/
environments
/
{environment}
/
commands
Run command
curl --request POST \
  --url https://cloud.laravel.com/api/environments/{environment}/commands \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "command": "<string>"
}
'
{
  "data": {
    "id": "<string>",
    "type": "commands",
    "links": {
      "self": {
        "href": "<string>",
        "rel": "<string>",
        "describedby": "<string>",
        "title": "<string>",
        "type": "<string>",
        "hreflang": "<string>",
        "meta": {}
      }
    },
    "attributes": {
      "command": "<string>",
      "output": "<string>",
      "status": "pending",
      "exit_code": 0,
      "failure_reason": "<string>",
      "started_at": "2023-11-07T05:31:56Z",
      "finished_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z"
    },
    "relationships": {
      "environment": {
        "data": {
          "type": "environments",
          "id": "<string>"
        }
      },
      "deployment": {
        "data": {
          "type": "deployments",
          "id": "<string>"
        }
      },
      "initiator": {
        "data": {
          "type": "users",
          "id": "<string>"
        }
      }
    }
  },
  "included": [
    {
      "id": "<string>",
      "type": "environments",
      "links": {
        "self": {
          "href": "<string>",
          "rel": "<string>",
          "describedby": "<string>",
          "title": "<string>",
          "type": "<string>",
          "hreflang": "<string>",
          "meta": {}
        }
      },
      "attributes": {
        "name": "<string>",
        "slug": "<string>",
        "status": "deploying",
        "created_from_automation": true,
        "vanity_domain": "<string>",
        "php_major_version": "8.2",
        "build_command": "<string>",
        "node_version": "20",
        "deploy_command": "<string>",
        "uses_octane": true,
        "uses_push_to_deploy": true,
        "uses_deploy_hook": true,
        "environment_variables": [
          {
            "key": "<string>",
            "value": "<string>"
          }
        ],
        "network_settings": {
          "cache": {
            "strategy": "<string>"
          },
          "response_headers": {
            "frame": "<string>",
            "content_type": "<string>",
            "hsts": {
              "max_age": 123,
              "include_subdomains": true,
              "preload": true
            }
          },
          "firewall": {
            "bot_categories": [
              "academic_research"
            ],
            "rate_limit": {
              "429": true,
              "level": "challenge",
              "per_minute": 100,
              "4xx": true
            },
            "under_attack_mode_started_at": "<string>",
            "block_path": true
          },
          "content_converter": true
        },
        "created_at": "2023-11-07T05:31:56Z"
      },
      "relationships": {
        "application": {
          "data": {
            "type": "applications",
            "id": "<string>"
          }
        },
        "branch": {
          "data": {
            "type": "branches",
            "id": "<string>"
          }
        },
        "deployments": {
          "data": [
            {
              "type": "deployments",
              "id": "<string>"
            }
          ]
        },
        "currentDeployment": {
          "data": {
            "type": "deployments",
            "id": "<string>"
          }
        },
        "domains": {
          "data": [
            {
              "type": "domains",
              "id": "<string>"
            }
          ]
        },
        "primaryDomain": {
          "data": {
            "type": "domains",
            "id": "<string>"
          }
        },
        "instances": {
          "data": [
            {
              "type": "instances",
              "id": "<string>"
            }
          ]
        },
        "database": {
          "data": {
            "type": "databaseSchemas",
            "id": "<string>"
          }
        },
        "cache": {
          "data": {
            "type": "caches",
            "id": "<string>"
          }
        },
        "buckets": {
          "data": [
            {
              "type": "filesystems",
              "id": "<string>"
            }
          ]
        },
        "websocketApplication": {
          "data": {
            "type": "websocketApplications",
            "id": "<string>"
          }
        }
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://cloud.laravel.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The Bearer Token generated on the Cloud UI.

Path Parameters

environment
string
required

The environment identifier

Body

application/json
command
string
required
Required string length: 1 - 150000

Response

CommandResource

data
CommandResource · object
required
included
(EnvironmentResource · object | DeploymentResource · object | UserResource · object)[]